/**
 * Un ejemplo que modela un Linea usando POO
 * 
 * @author (Milton Jesús Vera Contreras - miltonjesusvc@ufps.edu.co)
 * @version 0.000000000000001 :) --> Math.sin(Math.PI-Double.MIN_VALUE)
 */
public class FrmLinea extends javax.swing.JFrame {

    private Linea linea;

    /** Creates new form FrmLinea */
    public FrmLinea(Linea triangulo) {
        initComponents();
        this.linea = triangulo;
        setVisible(true);
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        panelTitulo = new javax.swing.JPanel();
        jLabel2 = new javax.swing.JLabel();
        panelAdorno = new javax.swing.JPanel();
        lblImagen = new javax.swing.JLabel();
        panelBotones = new javax.swing.JPanel();
        cmdModificarLinea = new javax.swing.JButton();
        cmdDeterminarUbicacion = new javax.swing.JButton();
        cmdAyuda = new javax.swing.JButton();
        paneDatos = new javax.swing.JPanel();
        lblX1 = new javax.swing.JLabel();
        txtX1 = new javax.swing.JTextField();
        lblY1 = new javax.swing.JLabel();
        txtY1 = new javax.swing.JTextField();
        lblX2 = new javax.swing.JLabel();
        txtX2 = new javax.swing.JTextField();
        lblY2 = new javax.swing.JLabel();
        txtY2 = new javax.swing.JTextField();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("Linea en Plano Cartesiano");
        setResizable(false);

        panelTitulo.setBorder(javax.swing.BorderFactory.createTitledBorder(""));
        panelTitulo.setLayout(new java.awt.BorderLayout());

        jLabel2.setFont(new java.awt.Font("DejaVu Sans", 0, 36));
        jLabel2.setText("Linea en Plano Cartesiano");
        panelTitulo.add(jLabel2, java.awt.BorderLayout.CENTER);

        getContentPane().add(panelTitulo, java.awt.BorderLayout.NORTH);

        panelAdorno.setBorder(javax.swing.BorderFactory.createTitledBorder(""));

        lblImagen.setFont(new java.awt.Font("DejaVu Sans", 1, 13));
        lblImagen.setForeground(new java.awt.Color(0, 0, 255));
        lblImagen.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        lblImagen.setIcon(new javax.swing.ImageIcon(getClass().getResource("/descartes+caricatura.jpg"))); // NOI18N
        lblImagen.setText("Ubicación Desconocida");
        lblImagen.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        lblImagen.setVerticalTextPosition(javax.swing.SwingConstants.TOP);
        panelAdorno.add(lblImagen);

        getContentPane().add(panelAdorno, java.awt.BorderLayout.EAST);

        panelBotones.setBorder(javax.swing.BorderFactory.createTitledBorder(""));
        panelBotones.setLayout(new java.awt.GridLayout(1, 3));

        cmdModificarLinea.setText("Actualizar Coordenadas");
        cmdModificarLinea.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdModificarLineaActionPerformed(evt);
            }
        });
        panelBotones.add(cmdModificarLinea);

        cmdDeterminarUbicacion.setText("Determinar Ubicación");
        cmdDeterminarUbicacion.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdDeterminarUbicacionActionPerformed(evt);
            }
        });
        panelBotones.add(cmdDeterminarUbicacion);

        cmdAyuda.setText("Ayuda");
        cmdAyuda.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdAyudaActionPerformed(evt);
            }
        });
        panelBotones.add(cmdAyuda);

        getContentPane().add(panelBotones, java.awt.BorderLayout.SOUTH);

        paneDatos.setBorder(javax.swing.BorderFactory.createTitledBorder(""));
        paneDatos.setLayout(new java.awt.GridLayout(4, 2));

        lblX1.setText("X Punto 1:");
        lblX1.setBorder(null);
        paneDatos.add(lblX1);

        txtX1.setFont(new java.awt.Font("DejaVu Sans", 0, 18));
        txtX1.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        txtX1.setText("0.0");
        txtX1.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        paneDatos.add(txtX1);

        lblY1.setText("Y Punto 1:");
        lblY1.setBorder(null);
        paneDatos.add(lblY1);

        txtY1.setFont(new java.awt.Font("DejaVu Sans", 0, 18));
        txtY1.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        txtY1.setText("0.0");
        txtY1.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        paneDatos.add(txtY1);

        lblX2.setText("X Punto 2:");
        lblX2.setBorder(null);
        paneDatos.add(lblX2);

        txtX2.setFont(new java.awt.Font("DejaVu Sans", 0, 18));
        txtX2.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        txtX2.setText("0.0");
        txtX2.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        paneDatos.add(txtX2);

        lblY2.setText("Y Punto 2:");
        lblY2.setBorder(null);
        paneDatos.add(lblY2);

        txtY2.setFont(new java.awt.Font("DejaVu Sans", 0, 18));
        txtY2.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        txtY2.setText("0.0");
        txtY2.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        paneDatos.add(txtY2);

        getContentPane().add(paneDatos, java.awt.BorderLayout.CENTER);

        pack();
    }// </editor-fold>//GEN-END:initComponents
    private void cmdDeterminarUbicacionActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdDeterminarUbicacionActionPerformed
        lblImagen.setText(linea.getUbicacion());
}//GEN-LAST:event_cmdDeterminarUbicacionActionPerformed

    private void cmdModificarLineaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdModificarLineaActionPerformed
        linea.setX1(Float.parseFloat(txtX1.getText()));
        linea.setY1(Float.parseFloat(txtY1.getText()));
        linea.setX2(Float.parseFloat(txtX2.getText()));
        linea.setY2(Float.parseFloat(txtY2.getText()));
        lblImagen.setText("Ubicación Desconocida");
        javax.swing.JOptionPane.showMessageDialog(this, "Coordenadas Actualizadas");
}//GEN-LAST:event_cmdModificarLineaActionPerformed

    private void cmdAyudaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdAyudaActionPerformed
        javax.swing.JOptionPane.showMessageDialog(this, "Determina el la ubicación de la Linea respecto al plano.");
    }//GEN-LAST:event_cmdAyudaActionPerformed
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton cmdAyuda;
    private javax.swing.JButton cmdDeterminarUbicacion;
    private javax.swing.JButton cmdModificarLinea;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel lblImagen;
    private javax.swing.JLabel lblX1;
    private javax.swing.JLabel lblX2;
    private javax.swing.JLabel lblY1;
    private javax.swing.JLabel lblY2;
    private javax.swing.JPanel paneDatos;
    private javax.swing.JPanel panelAdorno;
    private javax.swing.JPanel panelBotones;
    private javax.swing.JPanel panelTitulo;
    private javax.swing.JTextField txtX1;
    private javax.swing.JTextField txtX2;
    private javax.swing.JTextField txtY1;
    private javax.swing.JTextField txtY2;
    // End of variables declaration//GEN-END:variables
}
